Uses of Interface
io.vertx.core.Handler
Packages that use Handler
Package
Description
-
Uses of Handler in io.vertx.amqp
Methods in io.vertx.amqp with parameters of type HandlerModifier and TypeMethodDescriptionAmqpReceiver.endHandler(Handler<Void> endHandler) AmqpConnection.exceptionHandler(Handler<Throwable> handler) Registers a handler called on disconnection.AmqpReceiver.exceptionHandler(Handler<Throwable> handler) AmqpSender.exceptionHandler(Handler<Throwable> handler) AmqpReceiver.handler(Handler<AmqpMessage> handler) -
Uses of Handler in io.vertx.cassandra
Methods in io.vertx.cassandra with parameters of type HandlerModifier and TypeMethodDescriptionCassandraRowStream.endHandler(Handler<Void> handler) CassandraRowStream.exceptionHandler(Handler<Throwable> handler) -
Uses of Handler in io.vertx.circuitbreaker
Methods in io.vertx.circuitbreaker with parameters of type HandlerModifier and TypeMethodDescriptionCircuitBreaker.closeHandler(Handler<Void> handler) Sets aHandlerto be invoked when the circuit breaker state switches to closed.<T> Future<T> Same asCircuitBreaker.executeWithFallback(Handler, Function)but using the circuit breaker default fallback.<T> CircuitBreakerCircuitBreaker.executeAndReport(Promise<T> resultPromise, Handler<Promise<T>> command) Same asCircuitBreaker.executeAndReportWithFallback(Promise, Handler, Function)but using the circuit breaker default fallback.<T> CircuitBreakerCircuitBreaker.executeAndReportWithFallback(Promise<T> resultPromise, Handler<Promise<T>> command, Function<Throwable, T> fallback) Executes the given operation with the circuit breaker control.<T> Future<T> CircuitBreaker.executeWithFallback(Handler<Promise<T>> command, Function<Throwable, T> fallback) Executes the given operation with the circuit breaker control.CircuitBreaker.halfOpenHandler(Handler<Void> handler) Sets aHandlerto be invoked when the circuit breaker state switches to half-open.CircuitBreaker.openHandler(Handler<Void> handler) Sets aHandlerto be invoked when the circuit breaker state switches to open. -
Uses of Handler in io.vertx.config
Methods in io.vertx.config with parameters of type HandlerModifier and TypeMethodDescriptionvoidConfigRetriever.listen(Handler<ConfigChange> listener) Registers a listener receiving configuration changes.ConfigRetriever.setBeforeScanHandler(Handler<Void> handler) Registers a handler called before every scan. -
Uses of Handler in io.vertx.config.spi.utils
Methods in io.vertx.config.spi.utils with parameters of type HandlerModifier and TypeMethodDescriptionvoidFileSet.buildConfiguration(List<File> files, Handler<AsyncResult<JsonObject>> handler) Iterates over the given set of files, and for each matching file, computes the resulting configuration. -
Uses of Handler in io.vertx.core
Methods in io.vertx.core that return HandlerMethods in io.vertx.core with parameters of type HandlerModifier and TypeMethodDescriptionFuture.andThen(Handler<AsyncResult<T>> handler) Invokes the givenhandlerupon completion.Context.exceptionHandler(Handler<Throwable> handler) Set an exception handler called when the context runs an action throwing an uncaught throwable.Vertx.exceptionHandler(Handler<Throwable> handler) Set a default exception handler forContext, set onContext.exceptionHandler(Handler)at creation.static <T> Future<T> Create a promise and pass it to thehandler, and then returns this future's promise.CompositeFuture.onComplete(Handler<AsyncResult<CompositeFuture>> handler) Future.onComplete(Handler<? super T> successHandler, Handler<? super Throwable> failureHandler) Add handlers to be notified on succeeded result and failed result.Future.onComplete(Handler<AsyncResult<T>> handler) Add a handler to be notified of the result.default CompositeFutureAdd a handler to be notified of the failed result.default CompositeFutureCompositeFuture.onSuccess(Handler<? super CompositeFuture> handler) Add a handler to be notified of the succeeded result.voidContext.runOnContext(Handler<Void> action) Run the specified action asynchronously on the same context, some time after the current execution has completed.voidVertx.runOnContext(Handler<Void> action) Puts the handler on the event queue for the current context so it will be run asynchronously ASAP after all preceeding events have been handled.longVertx.setPeriodic(long initialDelay, long delay, Handler<Long> handler) Set a periodic timer to fire everydelaymilliseconds with initial delay, at which pointhandlerwill be called with the id of the timer.default longVertx.setPeriodic(long delay, Handler<Long> handler) Set a periodic timer to fire everydelaymilliseconds, at which pointhandlerwill be called with the id of the timer.longSet a one-shot timer to fire afterdelaymilliseconds, at which pointhandlerwill be called with the id of the timer. -
Uses of Handler in io.vertx.core.datagram
Methods in io.vertx.core.datagram with parameters of type HandlerModifier and TypeMethodDescriptionDatagramSocket.exceptionHandler(Handler<Throwable> handler) DatagramSocket.handler(Handler<DatagramPacket> handler) -
Uses of Handler in io.vertx.core.eventbus
Methods in io.vertx.core.eventbus with parameters of type HandlerModifier and TypeMethodDescription<T> EventBusEventBus.addInboundInterceptor(Handler<DeliveryContext<T>> interceptor) Add an interceptor that will be called whenever a message is received by Vert.x<T> EventBusEventBus.addOutboundInterceptor(Handler<DeliveryContext<T>> interceptor) Add an interceptor that will be called whenever a message is sent from Vert.x<T> MessageConsumer<T> EventBus.consumer(MessageConsumerOptions options, Handler<Message<T>> handler) Create a consumer and register it against the specified options address.<T> MessageConsumer<T> Create a consumer and register it against the specified address.MessageConsumer.endHandler(Handler<Void> endHandler) MessageConsumer.exceptionHandler(Handler<Throwable> handler) <T> MessageConsumer<T> EventBus.localConsumer(String address, Handler<Message<T>> handler) LikeEventBus.consumer(String, Handler)but the address won't be propagated across the cluster.<T> EventBusEventBus.removeInboundInterceptor(Handler<DeliveryContext<T>> interceptor) Remove an interceptor that was added byEventBus.addInboundInterceptor(Handler)<T> EventBusEventBus.removeOutboundInterceptor(Handler<DeliveryContext<T>> interceptor) Remove an interceptor that was added byEventBus.addOutboundInterceptor(Handler) -
Uses of Handler in io.vertx.core.file
Methods in io.vertx.core.file with parameters of type HandlerModifier and TypeMethodDescriptionAsyncFile.drainHandler(Handler<Void> handler) AsyncFile.endHandler(Handler<Void> endHandler) AsyncFile.exceptionHandler(Handler<Throwable> handler) Set an exception handler on the read stream and on the write stream. -
Uses of Handler in io.vertx.core.http
Fields in io.vertx.core.http declared as HandlerModifier and TypeFieldDescriptionstatic final Handler<HttpServerRequest> HttpServerRequest.DEFAULT_INVALID_REQUEST_HANDLERThe default invalid request handler, it uses theHttpServerRequest.decoderResult()cause and the request information to determine the status code of the response to be sent.Methods in io.vertx.core.http that return HandlerMethods in io.vertx.core.http with parameters of type HandlerModifier and TypeMethodDescriptionClientWebSocket.binaryMessageHandler(Handler<Buffer> handler) WebSocket.binaryMessageHandler(Handler<Buffer> handler) WebSocketBase.binaryMessageHandler(Handler<Buffer> handler) Set a binary message handler on the connection.HttpServerResponse.bodyEndHandler(Handler<Void> handler) Provides a handler that will be called after the last part of the body is written to the wire.default HttpClientResponseHttpClientResponse.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.default HttpServerRequestHttpServerRequest.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.ClientWebSocket.closeHandler(Handler<Void> handler) HttpConnection.closeHandler(Handler<Void> handler) Set a close handler.HttpServerResponse.closeHandler(Handler<Void> handler) Set a close handler for the response, this is called when the underlying connection is closed and the response was still using the connection.ServerWebSocket.closeHandler(Handler<Void> handler) WebSocket.closeHandler(Handler<Void> handler) WebSocketBase.closeHandler(Handler<Void> handler) Set a close handler.HttpServer.connectionHandler(Handler<HttpConnection> handler) Set a connection handler for the server.HttpClientRequest.continueHandler(Handler<Void> handler) If you send an HTTP request with the headerExpectset to the value100-continueand the server responds with an interim HTTP response with a status code of100and a Continue handler has been set using this method, then thehandlerwill be called.HttpClientResponse.customFrameHandler(Handler<HttpFrame> handler) Set an custom frame handler.HttpServerRequest.customFrameHandler(Handler<HttpFrame> handler) Set a custom frame handler.ClientWebSocket.drainHandler(Handler<Void> handler) HttpClientRequest.drainHandler(Handler<Void> handler) HttpServerResponse.drainHandler(Handler<Void> handler) ServerWebSocket.drainHandler(Handler<Void> handler) WebSocket.drainHandler(Handler<Void> handler) WebSocketBase.drainHandler(Handler<Void> handler) HttpClientRequest.earlyHintsHandler(Handler<MultiMap> handler) If the server responds with an interim HTTP response with a status code of103and a Early Hints handler has been set using this method, then thehandlerwill be called.ClientWebSocket.endHandler(Handler<Void> endHandler) HttpClientResponse.endHandler(Handler<Void> endHandler) HttpServerFileUpload.endHandler(Handler<Void> endHandler) HttpServerRequest.endHandler(Handler<Void> endHandler) HttpServerResponse.endHandler(Handler<Void> handler) Set an end handler for the response.ServerWebSocket.endHandler(Handler<Void> endHandler) WebSocket.endHandler(Handler<Void> endHandler) WebSocketBase.endHandler(Handler<Void> endHandler) ClientWebSocket.exceptionHandler(Handler<Throwable> handler) HttpClientRequest.exceptionHandler(Handler<Throwable> handler) HttpClientResponse.exceptionHandler(Handler<Throwable> handler) HttpConnection.exceptionHandler(Handler<Throwable> handler) Set an handler called when a connection error happensHttpServer.exceptionHandler(Handler<Throwable> handler) Set an exception handler called for socket errors happening before the HTTP connection is established, e.g. during the TLS handshake.HttpServerFileUpload.exceptionHandler(Handler<Throwable> handler) HttpServerRequest.exceptionHandler(Handler<Throwable> handler) HttpServerResponse.exceptionHandler(Handler<Throwable> handler) ServerWebSocket.exceptionHandler(Handler<Throwable> handler) WebSocket.exceptionHandler(Handler<Throwable> handler) WebSocketBase.exceptionHandler(Handler<Throwable> handler) ClientWebSocket.frameHandler(Handler<WebSocketFrame> handler) ServerWebSocket.frameHandler(Handler<WebSocketFrame> handler) WebSocket.frameHandler(Handler<WebSocketFrame> handler) WebSocketBase.frameHandler(Handler<WebSocketFrame> handler) Set a frame handler on the connection.HttpConnection.goAwayHandler(Handler<GoAway> handler) Set an handler called when a GOAWAY frame is received.HttpServerResponse.headersEndHandler(Handler<Void> handler) Provide a handler that will be called just before the headers are written to the wire.HttpServer.invalidRequestHandler(Handler<HttpServerRequest> handler) Set ahandlerfor handling invalid requests.HttpConnection.pingHandler(Handler<Buffer> handler) Set an handler notified when a PING frame is received from the remote endpoint.ClientWebSocket.pongHandler(Handler<Buffer> handler) WebSocket.pongHandler(Handler<Buffer> handler) WebSocketBase.pongHandler(Handler<Buffer> handler) Set a pong frame handler on the connection.HttpClientRequest.pushHandler(Handler<HttpClientRequest> handler) Set a push handler for this request.HttpConnection.remoteSettingsHandler(Handler<HttpSettings> handler) Set an handler that is called when remote endpointHttpSettingsare updated.HttpServer.requestHandler(Handler<HttpServerRequest> handler) Set the request handler for the server torequestHandler.HttpConnection.shutdownHandler(Handler<Void> handler) Set ahandlernotified when the HTTP connection is shutdown: the client or server will close the connection within a certain amount of time.WebSocket.shutdownHandler(Handler<Void> handler) WebSocketBase.shutdownHandler(Handler<Void> handler) Set ahandlernotified when the WebSocket is shutdown: the client or server will close the connection within a certain amount of time.HttpClientResponse.streamPriorityHandler(Handler<StreamPriority> handler) Set an handler for stream priority changes.HttpServerRequest.streamPriorityHandler(Handler<StreamPriority> handler) Set an handler for stream priority changesClientWebSocket.textMessageHandler(Handler<String> handler) WebSocket.textMessageHandler(Handler<String> handler) WebSocketBase.textMessageHandler(Handler<String> handler) Set a text message handler on the connection.HttpServerRequest.uploadHandler(Handler<HttpServerFileUpload> uploadHandler) Set an upload handler.HttpServer.webSocketHandler(Handler<ServerWebSocket> handler) Set the WebSocket handler for the server towsHandler.HttpServer.webSocketHandshakeHandler(Handler<ServerWebSocketHandshake> handler) Set a handler for WebSocket handshake.HttpClientBuilder.withConnectHandler(Handler<HttpConnection> handler) Set a connection handler for the client.HttpServerBuilder.withConnectHandler(Handler<HttpConnection> handler) Set a connection handler for the server. -
Uses of Handler in io.vertx.core.net
Methods in io.vertx.core.net that return HandlerMethods in io.vertx.core.net with parameters of type HandlerModifier and TypeMethodDescriptionNetSocket.closeHandler(Handler<Void> handler) Set ahandlernotified when the socket is closedQuicConnection.closeHandler(Handler<Void> handler) Set a handler called when the connection is closed.QuicStream.closeHandler(Handler<Void> handler) Set a handler called when the stream is closed.StreamChannel.closeHandler(Handler<Void> handler) Set ahandlernotified when the channel is closedNetServer.connectHandler(Handler<NetSocket> handler) Supply a connect handler for this server.QuicServer.connectHandler(Handler<QuicConnection> handler) Set the handler processingQuicConnection, the handler must be set before the server is bound.QuicConnection.datagramHandler(Handler<Buffer> handler) Set a handler called with the datagram addressed to this connection.NetSocket.drainHandler(Handler<Void> handler) QuicStream.drainHandler(Handler<Void> handler) StreamChannel.drainHandler(Handler<Void> handler) NetSocket.endHandler(Handler<Void> endHandler) Set an end handler.QuicStream.endHandler(Handler<Void> endHandler) StreamChannel.endHandler(Handler<Void> endHandler) Set an end handler.NetServer.exceptionHandler(Handler<Throwable> handler) Set an exception handler called for socket errors happening before the connection is passed to theNetServer.connectHandler(Handler), e.g during the TLS handshake.NetSocket.exceptionHandler(Handler<Throwable> handler) QuicServer.exceptionHandler(Handler<Throwable> handler) Set an exception handler called for socket errors happening before the QUIC connection is established, e.g. during the TLS handshake.QuicStream.exceptionHandler(Handler<Throwable> handler) Set an exception handling, catching stream exceptions.StreamChannel.exceptionHandler(Handler<Throwable> handler) Set the handler signaled with the data events the remote peer has sent.QuicStream.resetHandler(Handler<Long> handler) Set a handler called upon stream reset: when a stream receives a reset frame from its peer, this handler is called.NetSocket.shutdownHandler(Handler<Duration> handler) Set ahandlernotified when the socket is shutdown: the client or server will close the connection within a certain amount of time.QuicConnection.shutdownHandler(Handler<Duration> handler) Set ahandlernotified when the connection is shutdown: the client or server will close the connection within a certain amount of time.QuicStream.shutdownHandler(Handler<Duration> handler) Set a handler called when the stream is shutdown or closedStreamChannel.shutdownHandler(Handler<Duration> handler) Set ahandlernotified when the channel is shutdown: the client or server will close the connection within a certain amount of time.QuicConnection.streamHandler(Handler<QuicStream> handler) Set a handler processing incoming Quic streams.default QuicServerQuicServer.streamHandler(Handler<QuicStream> handler) Set a handler processing incoming Quic streams, this is a short-cut ofserver.connectHandler(connection -> connection.streamHandler(stream)). -
Uses of Handler in io.vertx.core.parsetools
Subinterfaces of Handler in io.vertx.core.parsetoolsModifier and TypeInterfaceDescriptioninterfaceA parser class which allows to incrementally parse json elements and emit json parse events instead of parsing a json element fully.interfaceA helper class which allows you to easily parse protocols which are delimited by a sequence of bytes, or fixed size records.Methods in io.vertx.core.parsetools with parameters of type HandlerModifier and TypeMethodDescriptionJsonParser.endHandler(Handler<Void> endHandler) RecordParser.endHandler(Handler<Void> endHandler) JsonParser.exceptionHandler(Handler<Throwable> handler) RecordParser.exceptionHandler(Handler<Throwable> handler) static RecordParserRecordParser.newDelimited(Buffer delim, Handler<Buffer> output) LikeRecordParser.newDelimited(Buffer)but set theoutputthat will receive whole records which have been parsed.static RecordParserRecordParser.newDelimited(String delim, Handler<Buffer> output) LikeRecordParser.newDelimited(String)but set theoutputthat will receive whole records which have been parsed.static RecordParserLikeRecordParser.newFixed(int)but set theoutputthat will receive whole records which have been parsed.void -
Uses of Handler in io.vertx.core.streams
Methods in io.vertx.core.streams with parameters of type HandlerModifier and TypeMethodDescriptionWriteStream.drainHandler(Handler<Void> handler) Set a drain handler on the stream.ReadStream.endHandler(Handler<Void> endHandler) Set an end handler.ReadStream.exceptionHandler(Handler<Throwable> handler) Set an exception handler on the read stream.StreamBase.exceptionHandler(Handler<Throwable> handler) Set an exception handler.WriteStream.exceptionHandler(Handler<Throwable> handler) Set an exception handler on the write stream.Set a data handler. -
Uses of Handler in io.vertx.db2client
Methods in io.vertx.db2client with parameters of type HandlerModifier and TypeMethodDescriptionstatic SqlClientDB2Builder.client(Handler<ClientBuilder<SqlClient>> handler) Build a client backed by a connection pool with the specifiedblockargument.DB2Connection.closeHandler(Handler<Void> handler) DB2Connection.exceptionHandler(Handler<Throwable> handler) static PoolDB2Builder.pool(Handler<ClientBuilder<Pool>> block) Build a pool with the specifiedblockargument. -
Uses of Handler in io.vertx.db2client.spi
Methods in io.vertx.db2client.spi with parameters of type HandlerModifier and TypeMethodDescriptionprotected PoolDB2Driver.newPool(io.vertx.core.internal.VertxInternal vertx, Handler<SqlConnection> connectHandler, Supplier<Future<DB2ConnectOptions>> databases, PoolOptions poolOptions, NetClientOptions transportOptions, io.vertx.core.internal.CloseFuture closeFuture) -
Uses of Handler in io.vertx.eventbus.bridge.grpc
Methods in io.vertx.eventbus.bridge.grpc with parameters of type HandlerModifier and TypeMethodDescriptionGrpcEventBusBridgeBuilder.withEventHandler(Handler<BridgeEvent> eventHandler) Set a handler for bridge events that can be used to implement custom security logic. -
Uses of Handler in io.vertx.ext.auth.audit
Methods in io.vertx.ext.auth.audit that return HandlerModifier and TypeMethodDescriptiondefault <T> Handler<AsyncResult<T>> SecurityAudit.auditHandlerFor(Marker marker) -
Uses of Handler in io.vertx.ext.auth.oauth2
Methods in io.vertx.ext.auth.oauth2 with parameters of type HandlerModifier and TypeMethodDescriptionOAuth2Auth.missingKeyHandler(Handler<String> handler) Handled to be called when a key (mentioned on a JWT) is missing from the current config. -
Uses of Handler in io.vertx.ext.cluster.infinispan
Subinterfaces of Handler in io.vertx.ext.cluster.infinispanModifier and TypeInterfaceDescriptioninterfaceA helper to create Vert.x clusterHealthChecksprocedures. -
Uses of Handler in io.vertx.ext.consul
Methods in io.vertx.ext.consul with parameters of type HandlerModifier and TypeMethodDescriptionWatch.setHandler(Handler<WatchResult<T>> handler) Set the result handler. -
Uses of Handler in io.vertx.ext.eventbus.bridge.tcp
Methods in io.vertx.ext.eventbus.bridge.tcp with parameters of type HandlerModifier and TypeMethodDescriptionstatic TcpEventBusBridgeTcpEventBusBridge.create(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions, Handler<BridgeEvent> eventHandler) -
Uses of Handler in io.vertx.ext.healthchecks
Methods in io.vertx.ext.healthchecks with parameters of type HandlerModifier and TypeMethodDescriptionHealthChecks.invoke(Handler<JsonObject> resultHandler) Invokes the registered procedures and computes the outcome.Registers a health check procedure.Registers a health check procedure. -
Uses of Handler in io.vertx.ext.reactivestreams
Methods in io.vertx.ext.reactivestreams with parameters of type HandlerModifier and TypeMethodDescriptionReactiveWriteStream.drainHandler(Handler<Void> handler) ReactiveReadStream.endHandler(Handler<Void> endHandler) ReactiveReadStream.exceptionHandler(Handler<Throwable> handler) ReactiveWriteStream.exceptionHandler(Handler<Throwable> handler) -
Uses of Handler in io.vertx.ext.shell
Methods in io.vertx.ext.shell with parameters of type HandlerModifier and TypeMethodDescriptionvoidShellServer.shellHandler(Handler<Shell> shellHandler) Called when a new shell is created. -
Uses of Handler in io.vertx.ext.shell.command
Methods in io.vertx.ext.shell.command with parameters of type HandlerModifier and TypeMethodDescriptionCommandProcess.backgroundHandler(Handler<Void> handler) Set a background handler, this handler is called when the command is running and put to background.CommandBuilder.completionHandler(Handler<Completion> handler) Set the command completion handler, the completion handler when the user asks for contextual command line completion, usually hitting the tab key.CommandProcess.endHandler(Handler<Void> handler) Set an end handler, this handler is called when the command is ended, for instance the command is running and the shell closes.CommandProcess.foregroundHandler(Handler<Void> handler) Set a foreground handler, this handler is called when the command is running and put to foreground.CommandProcess.interruptHandler(Handler<Void> handler) Set an interrupt handler, this handler is called when the command is interrupted, for instance user pressCtrl-C.CommandBuilder.processHandler(Handler<CommandProcess> handler) Set the command process handler, the process handler is called when the command is executed.CommandProcess.resizehandler(Handler<Void> handler) CommandProcess.resumeHandler(Handler<Void> handler) Set a resume handler, this handler is called when the command is resumed, for instance user typesbgorfgto resume the command.CommandProcess.stdinHandler(Handler<String> handler) CommandProcess.suspendHandler(Handler<Void> handler) Set a suspend handler, this handler is called when the command is suspended, for instance user pressCtrl-Z. -
Uses of Handler in io.vertx.ext.shell.spi
Methods in io.vertx.ext.shell.spi with parameters of type HandlerModifier and TypeMethodDescriptionvoidCommandResolverFactory.resolver(Vertx vertx, Handler<AsyncResult<CommandResolver>> resolveHandler) Obtain a command resolver for a Vert.x instance. -
Uses of Handler in io.vertx.ext.shell.system
Methods in io.vertx.ext.shell.system with parameters of type HandlerModifier and TypeMethodDescriptionvoidClose the controller and terminate all the underlying jobs, a closed controller does not accept anymore jobs.booleanAttempt to interrupt the process.voidSuspend the process.default voidSuspend the process.Job.statusUpdateHandler(Handler<ExecStatus> handler) Set an handler called when the job terminates.voidResume the process.voidTerminate the process.Process.terminatedHandler(Handler<Integer> handler) Set an handler for being notified when the process terminates.voidProcess.toBackground(Handler<Void> completionHandler) Set the process in background.voidProcess.toForeground(Handler<Void> completionHandler) Set the process in foreground. -
Uses of Handler in io.vertx.ext.shell.term
Subinterfaces of Handler in io.vertx.ext.shell.termMethods in io.vertx.ext.shell.term with parameters of type HandlerModifier and TypeMethodDescriptionTerm.closeHandler(Handler<Void> handler) Set a handler that will be called when the terminal is closed.voidPrompt the user a line of text.voidPrompt the user a line of text, providing a completion handler to handle user's completion.Term.resizehandler(Handler<Void> handler) Tty.resizehandler(Handler<Void> handler) Set a resize handler, the handler is called when the tty size changes.Term.stdinHandler(Handler<String> handler) Tty.stdinHandler(Handler<String> handler) Set a stream handler on the standard input to read the data.Pty.stdoutHandler(Handler<String> handler) Set the standard out handler of the pseudo terminal.SockJSTermHandler.termHandler(Handler<Term> handler) TermServer.termHandler(Handler<Term> handler) Set the term handler that will receive incoming client connections. -
Uses of Handler in io.vertx.ext.stomp
Subinterfaces of Handler in io.vertx.ext.stompModifier and TypeInterfaceDescriptioninterfaceSTOMP server handler implements the behavior of the STOMP server when a specific event occurs.Classes in io.vertx.ext.stomp that implement HandlerModifier and TypeClassDescriptionclassSTOMP compliant actions executed when receiving aABORTframe.classSTOMP compliant actions executed when receiving aACKframe.classSTOMP compliant actions executed when receiving aBEGINframe.classSTOMP compliant actions executed when receiving aCOMMITframe.classSTOMP compliant actions executed when receiving aCONNECTframe.classSTOMP compliant actions executed when receiving aNACKsf.frame().classSTOMP compliant actions executed when receiving aSENDsf.frame().classSTOMP compliant actions executed when receiving aSUBSCRIBEframe.classSTOMP compliant actions executed when receiving aUNSUBSCRIBEframe.Methods in io.vertx.ext.stomp that return HandlerModifier and TypeMethodDescriptionStompServer.webSocketHandler()Gets theHandlerable to manage web socket connections.StompServer.webSocketHandshakeHandler()Gets theHandlerable to manage web socket connection handshakes.Methods in io.vertx.ext.stomp with parameters of type HandlerModifier and TypeMethodDescriptionStompServerHandler.abortHandler(Handler<ServerFrame> handler) Configures the action to execute when aABORTframe is received.StompServerHandler.ackHandler(Handler<ServerFrame> handler) Configures the action to execute when aACKframe is received.StompServerHandler.beginHandler(Handler<ServerFrame> handler) Configures the action to execute when aBEGINframe is received.StompClientConnection.closeHandler(Handler<StompClientConnection> handler) Sets a handler notified when the STOMP connection is closed.StompServerHandler.closeHandler(Handler<StompServerConnection> handler) Configures the action to execute when a connection with the client is closed.StompServerHandler.commitHandler(Handler<ServerFrame> handler) Configures the action to execute when aCOMMITframe is received.voidStompServerConnection.configureHeartbeat(long ping, long pong, Handler<StompServerConnection> pingHandler) Configures the heartbeat.StompServerHandler.connectHandler(Handler<ServerFrame> handler) Configures the action to execute when aCONNECTframe is received.StompClientConnection.connectionDroppedHandler(Handler<StompClientConnection> handler) Sets a handler notified when the server does not respond to apingrequest in time.StompServerHandler.disconnectHandler(Handler<ServerFrame> handler) Configures the action to execute when aDISCONNECTframe is received.StompClient.errorFrameHandler(Handler<Frame> handler) A general error frame handler.StompClientConnection.errorHandler(Handler<Frame> handler) Sets a handler notified when anERRORframe is received by the client.StompClient.exceptionHandler(Handler<Throwable> handler) Sets an exception handler notified for TCP-level errors.StompClientConnection.exceptionHandler(Handler<Throwable> exceptionHandler) Configures the exception handler notified upon TCP-level errors.StompServerHandler.nackHandler(Handler<ServerFrame> handler) Configures the action to execute when aNACKframe is received.StompServerHandler.onAckHandler(Handler<Acknowledgement> handler) Configures the action to execute when messages are acknowledged.StompServerHandler.onNackHandler(Handler<Acknowledgement> handler) Configures the action to execute when messages are not acknowledged.StompClientConnection.pingHandler(Handler<StompClientConnection> handler) Sets a handler that let customize the behavior when a ping needs to be sent to the server.StompServerHandler.pingHandler(Handler<StompServerConnection> handler) Allows customizing the action to do when the server needs to send a `PING` to the client.StompClient.receivedFrameHandler(Handler<Frame> handler) Configures a received handler that gets notified when a STOMP frame is received by the client.StompClientConnection.receivedFrameHandler(Handler<Frame> handler) Configures a received handler that get notified when a STOMP frame is received by the client.StompServerHandler.receivedFrameHandler(Handler<ServerFrame> handler) Configures a handler that get notified when a STOMP frame is received by the server.StompServerHandler.sendHandler(Handler<ServerFrame> handler) Configures the action to execute when aSENDframe is received.StompServerHandler.stompHandler(Handler<ServerFrame> handler) Configures the action to execute when aSTOMPframe is received.Subscribes to the given destination.StompClientConnection.subscribe(String destination, Map<String, String> headers, Handler<Frame> handler) Subscribes to the given destination.StompServerHandler.subscribeHandler(Handler<ServerFrame> handler) Configures the action to execute when aSUBSCRIBEframe is received.StompServerHandler.unsubscribeHandler(Handler<ServerFrame> handler) Configures the action to execute when aUNSUBSCRIBEframe is received.StompClient.writingFrameHandler(Handler<Frame> handler) Configures a writing handler that gets notified when a STOMP frame is written on the wire.StompClientConnection.writingFrameHandler(Handler<Frame> handler) Configures a handler notified when a frame is going to be written on the wire.StompServer.writingFrameHandler(Handler<ServerFrame> handler) Configures the handler that is invoked every time a frame is going to be written to the "wire". -
Uses of Handler in io.vertx.ext.unit
Methods in io.vertx.ext.unit that return HandlerModifier and TypeMethodDescription<T> Handler<AsyncResult<T>> TestContext.asyncAssertFailure()Creates and returns a new async handler, the returned handler controls the completion of the test.<T> Handler<AsyncResult<T>> TestContext.asyncAssertFailure(Handler<Throwable> causeHandler) Creates and returns a new async handler, the returned handler controls the completion of the test.<T> Handler<AsyncResult<T>> TestContext.asyncAssertSuccess()Creates and returns a new async handler, the returned handler controls the completion of the test.<T> Handler<AsyncResult<T>> TestContext.asyncAssertSuccess(Handler<T> resultHandler) Creates and returns a new async handler, the returned handler controls the completion of the test.TestContext.exceptionHandler()Methods in io.vertx.ext.unit with parameters of type HandlerModifier and TypeMethodDescriptionTestSuite.after(Handler<TestContext> callback) Set a callback executed after the tests.TestSuite.afterEach(Handler<TestContext> callback) Set a callback executed after each test and before the suiteaftercallback.<T> Handler<AsyncResult<T>> TestContext.asyncAssertFailure(Handler<Throwable> causeHandler) Creates and returns a new async handler, the returned handler controls the completion of the test.<T> Handler<AsyncResult<T>> TestContext.asyncAssertSuccess(Handler<T> resultHandler) Creates and returns a new async handler, the returned handler controls the completion of the test.TestSuite.before(Handler<TestContext> callback) Set a callback executed before the tests.TestSuite.beforeEach(Handler<TestContext> callback) Set a callback executed before each test and after the suitebeforecallback.static TestCaseTestCase.create(String name, Handler<TestContext> testCase) Create a test case.voidCompletion.handler(Handler<AsyncResult<T>> completionHandler) Completion handler to receive a completion signal when this completions completes.TestSuite.test(String name, int repeat, Handler<TestContext> testCase) Add a new test case to the suite.TestSuite.test(String name, Handler<TestContext> testCase) Add a new test case to the suite.Execute the provided handler, which may contain assertions, possibly from any third-party assertion framework. -
Uses of Handler in io.vertx.ext.unit.collect
Methods in io.vertx.ext.unit.collect that return HandlerMethods in io.vertx.ext.unit.collect with parameters of type HandlerModifier and TypeMethodDescriptionstatic EventBusCollectorEventBusCollector.create(Vertx vertx, Handler<TestSuiteReport> reporter) -
Uses of Handler in io.vertx.ext.unit.report
Methods in io.vertx.ext.unit.report with parameters of type HandlerModifier and TypeMethodDescriptionTestCaseReport.endHandler(Handler<TestResult> handler) Set a callback for completion, the specifiedhandleris invoked when the test exec has completed.TestSuiteReport.endHandler(Handler<Void> endHandler) TestSuiteReport.exceptionHandler(Handler<Throwable> handler) Set an exception handler, the exception handler reports the test suite errors, it can be called mulitple times before the test ends.TestSuiteReport.handler(Handler<TestCaseReport> handler) -
Uses of Handler in io.vertx.ext.web
Subinterfaces of Handler in io.vertx.ext.webModifier and TypeInterfaceDescriptioninterfaceA router receives request from anHttpServerand routes it to the first matchingRoutethat it contains.Methods in io.vertx.ext.web with parameters of type HandlerModifier and TypeMethodDescriptionintRoutingContext.addBodyEndHandler(Handler<Void> handler) Provides a handler that will be called after the last part of the body is written to the wire.intRoutingContext.addEndHandler(Handler<AsyncResult<Void>> handler) Add an end handler for the request/response context.intRoutingContext.addHeadersEndHandler(Handler<Void> handler) Add a handler that will be called just before headers are written to the response.Route.blockingHandler(Handler<RoutingContext> requestHandler) LikeRoute.blockingHandler(Handler, boolean)called with ordered = trueRoute.blockingHandler(Handler<RoutingContext> requestHandler, boolean ordered) Specify a blocking request handler for the route.Router.errorHandler(int statusCode, Handler<RoutingContext> errorHandler) Specify an handler to handle an error for a particular status code.Route.failureHandler(Handler<RoutingContext> failureHandler) Append a failure handler to the route failure handlers list.Route.handler(Handler<RoutingContext> requestHandler) Append a request handler to the route handlers list.Router.modifiedHandler(Handler<Router> handler) When a Router routes are changed this handler is notified.Router.uncaughtErrorHandler(Handler<RoutingContext> errorHandler) Specify an handler to handle an error for any status code that doesn't have a specific handler assigned. -
Uses of Handler in io.vertx.ext.web.api.service
Subinterfaces of Handler in io.vertx.ext.web.api.serviceModifier and TypeInterfaceDescriptioninterfaceinterfaceHandler that proxy the request to an event bus endpoint, waits for the reply and then writes the HTTP response. -
Uses of Handler in io.vertx.ext.web.client
Methods in io.vertx.ext.web.client with parameters of type HandlerModifier and TypeMethodDescriptionOAuth2WebClient.addInterceptor(Handler<io.vertx.ext.web.client.impl.HttpContext<?>> interceptor) WebClient.addInterceptor(Handler<io.vertx.ext.web.client.impl.HttpContext<?>> interceptor) Add interceptor in the chain.WebClientSession.addInterceptor(Handler<io.vertx.ext.web.client.impl.HttpContext<?>> interceptor) -
Uses of Handler in io.vertx.ext.web.client.spi
Methods in io.vertx.ext.web.client.spi with parameters of type HandlerModifier and TypeMethodDescriptiondefault voidCacheStore.delete(io.vertx.ext.web.client.impl.cache.CacheKey key, Handler<AsyncResult<Void>> handler) Delete all variations of a key from the cache.default voidCacheStore.flush(Handler<AsyncResult<Void>> handler) Delete all entries from the cache.default voidCacheStore.get(io.vertx.ext.web.client.impl.cache.CacheKey key, Handler<AsyncResult<io.vertx.ext.web.client.impl.cache.CachedHttpResponse>> handler) Retrieve a cached response.default voidCacheStore.set(io.vertx.ext.web.client.impl.cache.CacheKey key, io.vertx.ext.web.client.impl.cache.CachedHttpResponse response, Handler<AsyncResult<io.vertx.ext.web.client.impl.cache.CachedHttpResponse>> handler) Add a response in the cache with the given key. -
Uses of Handler in io.vertx.ext.web.codec
Methods in io.vertx.ext.web.codec with parameters of type Handler -
Uses of Handler in io.vertx.ext.web.codec.spi
Subinterfaces of Handler in io.vertx.ext.web.codec.spiModifier and TypeInterfaceDescriptioninterfaceBodyStream<T>The body stream decodes aWriteStream<Buffer>into the aTinstance. -
Uses of Handler in io.vertx.ext.web.handler
Subinterfaces of Handler in io.vertx.ext.web.handlerModifier and TypeInterfaceDescriptioninterfaceAn authentication handler that provides API Key support.interfaceBase interface for auth handlers.interfaceBase interface for authorization handlers that provide authorization support.interfaceAn auth handler that provides HTTP Basic Authentication support.interfaceA handler which gathers the entire request body and sets it on theRoutingContext.interfaceAn auth handler that chains to a sequence of handlers.interfaceA handler which implements server side http://www.w3.org/TR/cors/[CORS] support for Vert.x-Web.interfaceContent Security Policy (CSP) is an added layer of security that helps to detect and mitigate certain types of attacks, including Cross Site Scripting (XSS) and data injection attacks.interfaceThis handler adds a CSRF token to requests which mutate state.interfaceAn auth handler that provides HTTP Basic Authentication support.interfaceA pretty error handler for rendering error pages.interfaceA handler that serves favicons.interfaceHandler that handles login from a form on a custom login page.interfaceHTTP Strict Transport Security (HSTS) RFC6797.interfaceBase input trust interface for handlers that verify the trust of the request.interfaceAn auth handler that provides JWT Authentication support.interfaceA handler which logs request information to the Vert.x logger.interfaceinterfaceA handler which selectively executes another handler if a precondition is met.interfaceAn auth handler that provides OAuth2 Authentication support.interfaceAn auth handler that provides One Time Password (Multi-Factor) Authentication support.interfaceBase platform interface for handlers that provide functionality to the application platform.interfaceBase interface for handlers that perform protocol upgrades.interfaceAn auth handler that's used to handle auth by redirecting user to a custom login page.interfaceA handler which sets the response content type automatically according to the bestAcceptheader match.interfaceHandler which adds a header `x-response-time` in the response of matching requests containing the time taken in ms to process the request.interfaceA handler that logs security audit events.interfaceBase security policy interface for handlers that provide HTTP security related headers.interfaceA handler that maintains aSessionfor each browser session.interfaceA user customizable authentication handler.interfaceA handler for serving static resources from the file system or classpath.interfaceA handler which renders responses using a template engine and where the template name is selected from the URI path.interfaceHandler that will timeout requests if the response has not been written after a certain time.interfaceAn auth handler that provides FIDO2 WebAuthN Relay Party support.interfaceThe X-Frame-Options HTTP response header can be used to indicate whether or not a browser should be allowed to render a page in a<frame>,<iframe>,<embed>or<object>.Methods in io.vertx.ext.web.handler with parameters of type HandlerModifier and TypeMethodDescriptionMultiTenantHandler.addDefaultHandler(Handler<RoutingContext> handler) Add a default handler for the case when no tenant was matched.MultiTenantHandler.addTenantHandler(String tenant, Handler<RoutingContext> handler) Add a handler for a given tenant to this handler. -
Uses of Handler in io.vertx.ext.web.handler.graphql
Subinterfaces of Handler in io.vertx.ext.web.handler.graphqlMethods in io.vertx.ext.web.handler.graphql with parameters of type HandlerModifier and TypeMethodDescriptionGraphQLHandlerBuilder.beforeExecute(Handler<ExecutionInputBuilderWithContext<RoutingContext>> beforeExecuteHandler) Set a callback to invoke before executing a GraphQL query. -
Uses of Handler in io.vertx.ext.web.handler.graphql.ws
Subinterfaces of Handler in io.vertx.ext.web.handler.graphql.wsModifier and TypeInterfaceDescriptioninterfaceA handler for the GraphQL over WebSocket Protocol.Methods in io.vertx.ext.web.handler.graphql.ws with parameters of type HandlerModifier and TypeMethodDescriptionGraphQLWSHandlerBuilder.beforeExecute(Handler<ExecutionInputBuilderWithContext<Message>> beforeExecuteHandler) Set a callback to invoke before executing a GraphQL query.GraphQLWSHandlerBuilder.onConnectionInit(Handler<ConnectionInitEvent> connectionInitHandler) Customize the connection initHandler.Customize the messageHandler.GraphQLWSHandlerBuilder.onSocketEnd(Handler<ServerWebSocket> endHandler) Customize the endHandler. -
Uses of Handler in io.vertx.ext.web.handler.sockjs
Methods in io.vertx.ext.web.handler.sockjs with parameters of type HandlerModifier and TypeMethodDescriptionSockJSHandler.bridge(AuthorizationProvider authorizationProvider, SockJSBridgeOptions bridgeOptions, Handler<BridgeEvent> bridgeEventHandler) LikeSockJSHandler.bridge(SockJSBridgeOptions)but specifying a handler that will receive bridge events.default RouterSockJSHandler.bridge(SockJSBridgeOptions bridgeOptions, Handler<BridgeEvent> bridgeEventHandler) LikeSockJSHandler.bridge(SockJSBridgeOptions)but specifying a handler that will receive bridge events.SockJSSocket.closeHandler(Handler<Void> closeHandler) SockJSSocket.drainHandler(Handler<Void> handler) SockJSSocket.endHandler(Handler<Void> endHandler) SockJSSocket.exceptionHandler(Handler<Throwable> handler) SockJSHandler.socketHandler(Handler<SockJSSocket> handler) Set a SockJS socket handler. -
Uses of Handler in io.vertx.ext.web.healthchecks
Subinterfaces of Handler in io.vertx.ext.web.healthchecksModifier and TypeInterfaceDescriptioninterfaceA Vert.x Web handler on which you register health check procedure.Methods in io.vertx.ext.web.healthchecks with parameters of type HandlerModifier and TypeMethodDescriptionRegisters a health check procedure.Registers a health check procedure. -
Uses of Handler in io.vertx.ext.web.openapi.router
Methods in io.vertx.ext.web.openapi.router that return types with arguments of type HandlerMethods in io.vertx.ext.web.openapi.router with parameters of type HandlerModifier and TypeMethodDescriptionOpenAPIRoute.addFailureHandler(Handler<RoutingContext> handler) Adds a failure handler for this routeOpenAPIRoute.addHandler(Handler<RoutingContext> handler) Adds a handler for this route which is executed after the security and validation handlers defined in the contractRouterBuilder.rootHandler(Handler<RoutingContext> rootHandler) Add global handler to be applied prior toRouterbeing generated. -
Uses of Handler in io.vertx.ext.web.proxy.handler
Subinterfaces of Handler in io.vertx.ext.web.proxy.handler -
Uses of Handler in io.vertx.ext.web.validation
Subinterfaces of Handler in io.vertx.ext.web.validation -
Uses of Handler in io.vertx.grpc
Methods in io.vertx.grpc with parameters of type HandlerModifier and TypeMethodDescriptionVertxChannelBuilder.useSsl(Handler<ClientOptionsBase> handler) Deprecated, for removal: This API element is subject to removal in a future version.VertxServerBuilder.useSsl(Handler<HttpServerOptions> handler) Deprecated, for removal: This API element is subject to removal in a future version. -
Uses of Handler in io.vertx.grpc.client
Methods in io.vertx.grpc.client with parameters of type HandlerModifier and TypeMethodDescriptionGrpcClientRequest.drainHandler(Handler<Void> handler) GrpcClientResponse.endHandler(Handler<Void> handler) GrpcClientResponse.errorHandler(Handler<GrpcError> handler) GrpcClientRequest.exceptionHandler(Handler<Throwable> handler) GrpcClientResponse.exceptionHandler(Handler<Throwable> handler) GrpcClientResponse.messageHandler(Handler<GrpcMessage> handler) -
Uses of Handler in io.vertx.grpc.common
Methods in io.vertx.grpc.common with parameters of type HandlerModifier and TypeMethodDescriptionGrpcWriteStream.drainHandler(Handler<Void> handler) GrpcReadStream.endHandler(Handler<Void> handler) GrpcReadStream.errorHandler(Handler<GrpcError> handler) Set a handler to be notified with gRPC errors.GrpcReadStream.exceptionHandler(Handler<Throwable> handler) GrpcWriteStream.exceptionHandler(Handler<Throwable> handler) GrpcReadStream.invalidMessageHandler(Handler<InvalidMessageException> handler) Set a message handler that is reported with invalid message errors.GrpcReadStream.messageHandler(Handler<GrpcMessage> handler) Set a handler to be notified with incoming encoded messages. -
Uses of Handler in io.vertx.grpc.server
Subinterfaces of Handler in io.vertx.grpc.serverModifier and TypeInterfaceDescriptioninterfaceA gRPC server based on Vert.x HTTP server.Methods in io.vertx.grpc.server with parameters of type HandlerModifier and TypeMethodDescription<Req,Resp> ServiceBuilder ServiceBuilder.bind(ServiceMethod<Req, Resp> serviceMethod, Handler<GrpcServerRequest<Req, Resp>> handler) Bind a service method call handler that handles any call made to the server for thefullMethodNamemethod.GrpcServer.callHandler(Handler<GrpcServerRequest<Buffer, Buffer>> handler) Set a call handler that handles any call made to the server.<Req,Resp> GrpcServer GrpcServer.callHandler(ServiceMethod<Req, Resp> serviceMethod, Handler<GrpcServerRequest<Req, Resp>> handler) Set a service method call handler that handles any call made to the server for thefullMethodNameservice method.GrpcServerResponse.drainHandler(Handler<Void> handler) GrpcServerRequest.endHandler(Handler<Void> endHandler) GrpcServerRequest.errorHandler(Handler<GrpcError> handler) GrpcServerRequest.exceptionHandler(Handler<Throwable> handler) GrpcServerResponse.exceptionHandler(Handler<Throwable> handler) GrpcServerRequest.messageHandler(Handler<GrpcMessage> handler) -
Uses of Handler in io.vertx.grpc.stub
Methods in io.vertx.grpc.stub with parameters of type HandlerModifier and TypeMethodDescriptionGrpcWriteStream.drainHandler(Handler<Void> hndlr) Deprecated.GrpcWriteStream.exceptionHandler(Handler<Throwable> hndlr) Deprecated.static <I,O> ReadStream <O> ClientCalls.manyToMany(io.vertx.core.internal.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, Function<StreamObserver<O>, StreamObserver<I>> delegate) Deprecated.static <I,O> ReadStream <O> ClientCalls.manyToMany(io.vertx.core.internal.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, Function<StreamObserver<O>, StreamObserver<I>> delegate, Handler<Throwable> exceptionHandler) Deprecated.static <I,O> ReadStream <O> ClientCalls.manyToMany(io.vertx.core.internal.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, Function<StreamObserver<O>, StreamObserver<I>> delegate, Handler<O> handler, Handler<Void> endHandler, Handler<Throwable> exceptionHandler) Deprecated.static <I,O> Future <O> ClientCalls.manyToOne(io.vertx.core.internal.ContextInternal ctx, Handler<WriteStream<I>> requestHandler, Function<StreamObserver<O>, StreamObserver<I>> delegate) Deprecated.static <I,O> ReadStream <O> ClientCalls.oneToMany(io.vertx.core.internal.ContextInternal ctx, I request, BiConsumer<I, StreamObserver<O>> delegate, Handler<O> handler, Handler<Void> endHandler, Handler<Throwable> exceptionHandler) Deprecated. -
Uses of Handler in io.vertx.grpcio.client
Methods in io.vertx.grpcio.client with parameters of type HandlerModifier and TypeMethodDescriptiondefault <Req,Resp, T>
Future<T> GrpcIoClient.call(MethodDescriptor<Req, Resp> service, Handler<GrpcClientRequest<Req, Resp>> requestHandler, Function<GrpcClientResponse<Req, Resp>, Future<T>> resultFn) LikeGrpcIoClient.call(Address, MethodDescriptor, Handler, Function)with the default remote server.default <Req,Resp, T>
Future<T> GrpcIoClient.call(Address server, MethodDescriptor<Req, Resp> service, Handler<GrpcClientRequest<Req, Resp>> requestHandler, Function<GrpcClientResponse<Req, Resp>, Future<T>> resultFn) Call theservicegRPC service hosted byserver. -
Uses of Handler in io.vertx.grpcio.server
Subinterfaces of Handler in io.vertx.grpcio.serverModifier and TypeInterfaceDescriptioninterfaceA gRPC server based on Vert.x HTTP server.Methods in io.vertx.grpcio.server with parameters of type HandlerModifier and TypeMethodDescription<Req,Resp> GrpcIoServer GrpcIoServer.callHandler(MethodDescriptor<Req, Resp> methodDesc, Handler<GrpcServerRequest<Req, Resp>> handler) Set a service method call handler that handles any call made to the server for theMethodDescriptorservice method.GrpcIoServer.callHandler(Handler<GrpcServerRequest<Buffer, Buffer>> handler) -
Uses of Handler in io.vertx.httpproxy
Subinterfaces of Handler in io.vertx.httpproxyModifier and TypeInterfaceDescriptioninterfaceHandles the HTTP reverse proxy logic between the user agent and the origin.Methods in io.vertx.httpproxy with parameters of type HandlerModifier and TypeMethodDescriptionProxyInterceptorBuilder.transformingQueryParams(Handler<MultiMap> updater) Apply modifications to the query parameters.ProxyInterceptorBuilder.transformingRequestHeaders(Handler<MultiMap> requestHeadersUpdater) Apply callbacks to change the request headers when the proxy receives them.ProxyInterceptorBuilder.transformingResponseHeaders(Handler<MultiMap> responseHeadersUpdater) Apply callbacks to change the response headers when the proxy receives them. -
Uses of Handler in io.vertx.junit5
Methods in io.vertx.junit5 that return HandlerModifier and TypeMethodDescription<T> Handler<AsyncResult<T>> VertxTestContext.completing()Deprecated.<T> Handler<AsyncResult<T>> VertxTestContext.failing()Deprecated.UseVertxTestContext.failingThenComplete()orVertxTestContext.failing(Handler), for examplefailing(e -> checkpoint.flag()),failing(e -> { more testing code }), orfailing(e -> {}).<T> Handler<AsyncResult<T>> Create an asynchronous result handler that expects a failure, and passes the exception to another handler.<T> Handler<AsyncResult<T>> VertxTestContext.failingThenComplete()Create an asynchronous result handler that expects a failure to then complete the test context.<T> Handler<AsyncResult<T>> VertxTestContext.succeeding(Handler<T> nextHandler) Create an asynchronous result handler that expects a success, and passes the value to another handler.<T> Handler<AsyncResult<T>> VertxTestContext.succeedingThenComplete()Create an asynchronous result handler that expects a success to then complete the test context.Methods in io.vertx.junit5 with parameters of type HandlerModifier and TypeMethodDescription<T> Handler<AsyncResult<T>> Create an asynchronous result handler that expects a failure, and passes the exception to another handler.<T> Handler<AsyncResult<T>> VertxTestContext.succeeding(Handler<T> nextHandler) Create an asynchronous result handler that expects a success, and passes the value to another handler. -
Uses of Handler in io.vertx.kafka.client.consumer
Methods in io.vertx.kafka.client.consumer with parameters of type HandlerModifier and TypeMethodDescriptionKafkaConsumer.batchHandler(Handler<KafkaConsumerRecords<K, V>> handler) Set the handler to be used when batches of messages are fetched from the Kafka server.KafkaReadStream.batchHandler(Handler<org.apache.kafka.clients.consumer.ConsumerRecords<K, V>> handler) Set the handler that will be called when a new batch of records is returned from Kafka.KafkaConsumer.endHandler(Handler<Void> endHandler) KafkaReadStream.endHandler(Handler<Void> endHandler) KafkaConsumer.exceptionHandler(Handler<Throwable> handler) KafkaReadStream.exceptionHandler(Handler<Throwable> handler) KafkaConsumer.handler(Handler<KafkaConsumerRecord<K, V>> handler) KafkaConsumer.partitionsAssignedHandler(Handler<Set<TopicPartition>> handler) Set the handler called when topic partitions are assigned to the consumerKafkaReadStream.partitionsAssignedHandler(Handler<Set<org.apache.kafka.common.TopicPartition>> handler) Set the handler called when topic partitions are assigned to the consumerKafkaConsumer.partitionsRevokedHandler(Handler<Set<TopicPartition>> handler) Set the handler called when topic partitions are revoked to the consumerKafkaReadStream.partitionsRevokedHandler(Handler<Set<org.apache.kafka.common.TopicPartition>> handler) Set the handler called when topic partitions are revoked to the consumer -
Uses of Handler in io.vertx.kafka.client.producer
Methods in io.vertx.kafka.client.producer with parameters of type HandlerModifier and TypeMethodDescriptionKafkaProducer.drainHandler(Handler<Void> handler) KafkaWriteStream.drainHandler(Handler<Void> handler) KafkaProducer.exceptionHandler(Handler<Throwable> handler) KafkaWriteStream.exceptionHandler(Handler<Throwable> handler) -
Uses of Handler in io.vertx.lang.reactivex
Methods in io.vertx.lang.reactivex that return HandlerModifier and TypeMethodDescriptionstatic <CORE,REACTIVE>
Handler<CORE> Helper.convertHandler(Handler<REACTIVE> rxHandler, Function<CORE, REACTIVE> mapper) Convert a handler for a generated reactive type to a handler for the corresponding core type.Methods in io.vertx.lang.reactivex with parameters of type HandlerModifier and TypeMethodDescriptionstatic <CORE,REACTIVE>
Handler<CORE> Helper.convertHandler(Handler<REACTIVE> rxHandler, Function<CORE, REACTIVE> mapper) Convert a handler for a generated reactive type to a handler for the corresponding core type. -
Uses of Handler in io.vertx.lang.rxjava3
Methods in io.vertx.lang.rxjava3 that return HandlerModifier and TypeMethodDescriptionstatic <CORE,REACTIVE>
Handler<CORE> Helper.convertHandler(Handler<REACTIVE> rxHandler, Function<CORE, REACTIVE> mapper) Convert a handler for a generated reactive type to a handler for the corresponding core type.Methods in io.vertx.lang.rxjava3 with parameters of type HandlerModifier and TypeMethodDescriptionstatic <CORE,REACTIVE>
Handler<CORE> Helper.convertHandler(Handler<REACTIVE> rxHandler, Function<CORE, REACTIVE> mapper) Convert a handler for a generated reactive type to a handler for the corresponding core type. -
Uses of Handler in io.vertx.micrometer
Methods in io.vertx.micrometer that return HandlerModifier and TypeMethodDescriptionstatic Handler<HttpServerRequest> PrometheusRequestHandler.create()Creates a handler with a new PrometheusMeterRegistry and the default metrics endpoint ("/metrics").static Handler<HttpServerRequest> PrometheusRequestHandler.create(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry) Creates a handler with the specified PrometheusMeterRegistry and the default metrics endpoint ("/metrics").static Handler<HttpServerRequest> PrometheusRequestHandler.create(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry, String metricsEndpoint) Creates a handler with the specified PrometheusMeterRegistry and metrics endpoint.static Handler<RoutingContext> PrometheusScrapingHandler.create()Creates a Vert.x WebRoutehandler for Prometheus metrics scraping.static Handler<RoutingContext> PrometheusScrapingHandler.create(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry) Creates a Vert.x WebRoutehandler for Prometheus metrics scraping.static Handler<RoutingContext> Creates a Vert.x WebRoutehandler for Prometheus metrics scraping. -
Uses of Handler in io.vertx.mqtt
Methods in io.vertx.mqtt with parameters of type HandlerModifier and TypeMethodDescriptionMqttClient.authenticationExchangeHandler(Handler<MqttAuthenticationExchangeMessage> authenticationExchangeHandler) Sets handler which will be called after AUTH packet receivingMqttEndpoint.authenticationExchangeHandler(Handler<MqttAuthenticationExchangeMessage> handler) Set the auth handler on the MQTT endpoint.MqttClient.closeHandler(Handler<Void> closeHandler) Set a handler that will be called when the connection with server is closedMqttEndpoint.closeHandler(Handler<Void> handler) Set a close handler.MqttEndpoint.disconnectHandler(Handler<Void> handler) Set a disconnect handler on the MQTT endpoint.MqttEndpoint.disconnectMessageHandler(Handler<MqttDisconnectMessage> handler) Set a disconnect handler on the MQTT endpoint.MqttServer.endpointHandler(Handler<MqttEndpoint> handler) Set the endpoint handler for the server.MqttClient.exceptionHandler(Handler<Throwable> handler) Set an exception handler for the client, that will be called when an error happens in internal netty structures.MqttEndpoint.exceptionHandler(Handler<Throwable> handler) Set an exception handler.MqttServer.exceptionHandler(Handler<Throwable> handler) Set an exception handler for the server, that will be called when an error happens independantly of an acceptedMqttEndpoint, like a rejected connectionMqttEndpoint.pingHandler(Handler<Void> handler) Set the pingreq handler on the MQTT endpoint.MqttClient.pingResponseHandler(Handler<Void> pingResponseHandler) Sets handler which will be called after PINGRESP packet receivingMqttEndpoint.publishAcknowledgeHandler(Handler<Integer> handler) Set the puback handler on the MQTT endpoint.MqttEndpoint.publishAcknowledgeMessageHandler(Handler<MqttPubAckMessage> handler) Set the puback handler on the MQTT endpoint.MqttClient.publishCompletionExpirationHandler(Handler<Integer> publishCompletionExpirationHandler) Sets a handler which will be called when the client does not receive a PUBACK or PUBREC/PUBCOMP for a message published using QoS 1 or 2 respectively.MqttClient.publishCompletionHandler(Handler<Integer> publishCompletionHandler) Sets a handler which will be called each time the publishing of a message has been completed.MqttEndpoint.publishCompletionHandler(Handler<Integer> handler) Set the pubcomp handler on the MQTT endpoint.MqttEndpoint.publishCompletionMessageHandler(Handler<MqttPubCompMessage> handler) Set the pubcomp handler on the MQTT endpoint.MqttClient.publishCompletionUnknownPacketIdHandler(Handler<Integer> publishCompletionPhantomHandler) Sets a handler which will be called when the client receives a PUBACK/PUBREC/PUBCOMP with an unknown packet ID.MqttClient.publishHandler(Handler<MqttPublishMessage> publishHandler) Sets handler which will be called each time server publish something to clientMqttEndpoint.publishHandler(Handler<MqttPublishMessage> handler) Set the publish handler on the MQTT endpoint.MqttEndpoint.publishReceivedHandler(Handler<Integer> handler) Set the pubrec handler on the MQTT endpoint.MqttEndpoint.publishReceivedMessageHandler(Handler<MqttPubRecMessage> handler) Set the pubrec handler on the MQTT endpoint.MqttEndpoint.publishReleaseHandler(Handler<Integer> handler) Set the pubrel handler on the MQTT endpoint.MqttEndpoint.publishReleaseMessageHandler(Handler<MqttPubRelMessage> handler) Set the pubrel handler on the MQTT endpoint.MqttClient.subscribeCompletionHandler(Handler<MqttSubAckMessage> subscribeCompletionHandler) Sets handler which will be called after SUBACK packet receivingMqttEndpoint.subscribeHandler(Handler<MqttSubscribeMessage> handler) Set a subscribe handler on the MQTT endpoint.MqttClient.unsubscribeCompletionHandler(Handler<Integer> unsubscribeCompletionHandler) Sets handler which will be called after UNSUBACK packet receivingMqttEndpoint.unsubscribeHandler(Handler<MqttUnsubscribeMessage> handler) Set a unsubscribe handler on the MQTT endpoint. -
Uses of Handler in io.vertx.mssqlclient
Methods in io.vertx.mssqlclient with parameters of type HandlerModifier and TypeMethodDescriptionMSSQLConnection.closeHandler(Handler<Void> handler) Set an handler called when the connection is closed.MSSQLConnection.exceptionHandler(Handler<Throwable> handler) Set an handler called with connection errors.MSSQLConnection.infoHandler(Handler<MSSQLInfo> handler) Set a handler called when the connection receives an informational message from the server.static PoolMSSQLBuilder.pool(Handler<ClientBuilder<Pool>> block) Build a pool with the specifiedblockargument. -
Uses of Handler in io.vertx.mysqlclient
Methods in io.vertx.mysqlclient with parameters of type HandlerModifier and TypeMethodDescriptionstatic SqlClientMySQLBuilder.client(Handler<ClientBuilder<SqlClient>> handler) Build a client backed by a connection pool with the specifiedblockargument.MySQLConnection.closeHandler(Handler<Void> handler) Set an handler called when the connection is closed.MySQLConnection.exceptionHandler(Handler<Throwable> handler) Set an handler called with connection errors.static PoolMySQLBuilder.pool(Handler<ClientBuilder<Pool>> block) Build a pool with the specifiedblockargument. -
Uses of Handler in io.vertx.mysqlclient.spi
Methods in io.vertx.mysqlclient.spi with parameters of type HandlerModifier and TypeMethodDescriptionprotected PoolMySQLDriver.newPool(io.vertx.core.internal.VertxInternal vertx, Handler<SqlConnection> connectHandler, Supplier<Future<MySQLConnectOptions>> databases, PoolOptions poolOptions, NetClientOptions transportOptions, io.vertx.core.internal.CloseFuture closeFuture) -
Uses of Handler in io.vertx.oracleclient
Methods in io.vertx.oracleclient with parameters of type HandlerModifier and TypeMethodDescriptionOracleConnection.closeHandler(Handler<Void> handler) Set an handler called when the connection is closed.OracleConnection.exceptionHandler(Handler<Throwable> handler) Set an handler called with connection errors.static PoolOracleBuilder.pool(Handler<ClientBuilder<Pool>> block) Build a pool with the specifiedblockargument. -
Uses of Handler in io.vertx.pgclient
Methods in io.vertx.pgclient with parameters of type HandlerModifier and TypeMethodDescriptionstatic SqlClientPgBuilder.client(Handler<ClientBuilder<SqlClient>> handler) Build a client backed by a connection pool with the specifiedblockargument.PgConnection.closeHandler(Handler<Void> handler) Set an handler called when the connection is closed.PgConnection.exceptionHandler(Handler<Throwable> handler) Set an handler called with connection errors.PgConnection.noticeHandler(Handler<PgNotice> handler) Set a handler called when the connection receives a notice from the server.PgConnection.notificationHandler(Handler<PgNotification> handler) Set a handler called when the connection receives notification on a channel.static PoolPgBuilder.pool(Handler<ClientBuilder<Pool>> block) Build a pool with the specifiedblockargument. -
Uses of Handler in io.vertx.pgclient.pubsub
Methods in io.vertx.pgclient.pubsub with parameters of type HandlerModifier and TypeMethodDescriptionPgSubscriber.closeHandler(Handler<Void> handler) Set an handler called when the subscriber is closed.PgChannel.endHandler(Handler<Void> endHandler) Set an handler to be called when no more notifications will be received.PgChannel.exceptionHandler(Handler<Throwable> handler) Inherited fromReadStream.exceptionHandler(Handler)but this one is a no-op.Set or unset an handler to be called when a the channel is notified by Postgres.PgChannel.subscribeHandler(Handler<Void> handler) Set an handler called when the the channel get subscribed. -
Uses of Handler in io.vertx.pgclient.spi
Methods in io.vertx.pgclient.spi with parameters of type HandlerModifier and TypeMethodDescriptionprotected PoolPgDriver.newPool(io.vertx.core.internal.VertxInternal vertx, Handler<SqlConnection> connectHandler, Supplier<Future<PgConnectOptions>> databases, PoolOptions poolOptions, NetClientOptions transportOptions, io.vertx.core.internal.CloseFuture closeFuture) -
Uses of Handler in io.vertx.rabbitmq
Methods in io.vertx.rabbitmq with parameters of type HandlerModifier and TypeMethodDescriptionvoidRabbitMQClient.addConnectionEstablishedCallback(Handler<Promise<Void>> connectionEstablishedCallback) Set a callback to be called whenever a new connection is established.RabbitMQClient.basicPublishWithDeliveryTag(String exchange, String routingKey, com.rabbitmq.client.BasicProperties properties, Buffer body, Handler<Long> deliveryTagHandler) Publish a message.RabbitMQConsumer.endHandler(Handler<Void> endHandler) Set an end handler.RabbitMQConsumer.exceptionHandler(Handler<Throwable> exceptionHandler) Set an exception handler on the read stream.RabbitMQConsumer.handler(Handler<RabbitMQMessage> messageArrived) Set a message handler. -
Uses of Handler in io.vertx.reactivex
Methods in io.vertx.reactivex with parameters of type HandlerModifier and TypeMethodDescriptionstatic <T> CompletableObserverCompletableHelper.toObserver(Handler<AsyncResult<T>> handler) Adapts an Vert.xHandler<AsyncResult<T>>to an RxJava2SingleObserver.static <T> MaybeObserver<T> MaybeHelper.toObserver(Handler<AsyncResult<T>> handler) Adapts an Vert.xHandler<AsyncResult<T>>to an RxJava2MaybeObserver.static <T> SingleObserver<T> SingleHelper.toObserver(Handler<AsyncResult<T>> handler) Adapts an Vert.xHandler<AsyncResult<T>>to an RxJava2SingleObserver.Method parameters in io.vertx.reactivex with type arguments of type HandlerModifier and TypeMethodDescriptionstatic CompletableCompletableHelper.toCompletable(Consumer<Handler<AsyncResult<Void>>> handler) Returns aCompletablethat, when subscribed, uses the providedhandlerto adapt a callback-based asynchronous method.static <T> Maybe<T> MaybeHelper.toMaybe(Consumer<Handler<AsyncResult<T>>> handler) Returns aMaybethat, when subscribed, uses the providedhandlerto adapt a callback-based asynchronous method.static <T> Single<T> SingleHelper.toSingle(Consumer<Handler<AsyncResult<T>>> handler) Returns aSinglethat, when subscribed, uses the providedhandlerto adapt a callback-based asynchronous method. -
Uses of Handler in io.vertx.reactivex.amqp
Methods in io.vertx.reactivex.amqp with parameters of type HandlerModifier and TypeMethodDescriptionAmqpSender.drainHandler(Handler<Void> handler) Set a drain handler on the stream.AmqpReceiver.endHandler(Handler<Void> endHandler) AmqpConnection.exceptionHandler(Handler<Throwable> handler) Registers a handler called on disconnection.AmqpReceiver.exceptionHandler(Handler<Throwable> handler) AmqpSender.exceptionHandler(Handler<Throwable> handler) AmqpReceiver.handler(Handler<AmqpMessage> handler) -
Uses of Handler in io.vertx.reactivex.cassandra
Methods in io.vertx.reactivex.cassandra with parameters of type HandlerModifier and TypeMethodDescriptionCassandraRowStream.endHandler(Handler<Void> handler) CassandraRowStream.exceptionHandler(Handler<Throwable> handler) -
Uses of Handler in io.vertx.reactivex.circuitbreaker
Methods in io.vertx.reactivex.circuitbreaker with parameters of type HandlerModifier and TypeMethodDescriptionCircuitBreaker.closeHandler(Handler<Void> handler) Sets a to be invoked when the circuit breaker state switches to closed.<T> Future<T> Same asCircuitBreaker.executeWithFallback(Handler, Function)but using the circuit breaker .<T> CircuitBreakerCircuitBreaker.executeAndReport(Promise<T> resultPromise, Handler<Promise<T>> command) Same asCircuitBreaker.executeAndReportWithFallback(Promise, Handler, Function)but using the circuit breaker .<T> CircuitBreakerCircuitBreaker.executeAndReportWithFallback(Promise<T> resultPromise, Handler<Promise<T>> command, Function<Throwable, T> fallback) Executes the given operation with the circuit breaker control.<T> Future<T> CircuitBreaker.executeWithFallback(Handler<Promise<T>> command, Function<Throwable, T> fallback) Executes the given operation with the circuit breaker control.CircuitBreaker.halfOpenHandler(Handler<Void> handler) Sets a to be invoked when the circuit breaker state switches to half-open.CircuitBreaker.openHandler(Handler<Void> handler) Sets a to be invoked when the circuit breaker state switches to open.<T> Single<T> Same asCircuitBreaker.executeWithFallback(Handler, Function)but using the circuit breaker .<T> Single<T> CircuitBreaker.rxExecuteWithFallback(Handler<Promise<T>> command, Function<Throwable, T> fallback) Executes the given operation with the circuit breaker control. -
Uses of Handler in io.vertx.reactivex.config
Methods in io.vertx.reactivex.config with parameters of type HandlerModifier and TypeMethodDescriptionvoidConfigRetriever.listen(Handler<ConfigChange> listener) Registers a listener receiving configuration changes.ConfigRetriever.setBeforeScanHandler(Handler<Void> handler) Registers a handler called before every scan. -
Uses of Handler in io.vertx.reactivex.core
Methods in io.vertx.reactivex.core with parameters of type HandlerModifier and TypeMethodDescriptionContext.exceptionHandler(Handler<Throwable> handler) Set an exception handler called when the context runs an action throwing an uncaught throwable.Vertx.exceptionHandler(Handler<Throwable> handler) Set a default exception handler forContext, set onContext.exceptionHandler(Handler)at creation.voidContext.runOnContext(Handler<Void> action) Run the specified action asynchronously on the same context, some time after the current execution has completed.voidVertx.runOnContext(Handler<Void> action) Puts the handler on the event queue for the current context so it will be run asynchronously ASAP after all preceeding events have been handled.longVertx.setPeriodic(long initialDelay, long delay, Handler<Long> handler) Set a periodic timer to fire everydelaymilliseconds with initial delay, at which pointhandlerwill be called with the id of the timer.longVertx.setPeriodic(long delay, Handler<Long> handler) Set a periodic timer to fire everydelaymilliseconds, at which pointhandlerwill be called with the id of the timer.longSet a one-shot timer to fire afterdelaymilliseconds, at which pointhandlerwill be called with the id of the timer. -
Uses of Handler in io.vertx.reactivex.core.datagram
Methods in io.vertx.reactivex.core.datagram with parameters of type HandlerModifier and TypeMethodDescriptionDatagramSocket.exceptionHandler(Handler<Throwable> handler) DatagramSocket.handler(Handler<DatagramPacket> handler) -
Uses of Handler in io.vertx.reactivex.core.eventbus
Methods in io.vertx.reactivex.core.eventbus with parameters of type HandlerModifier and TypeMethodDescription<T> EventBusEventBus.addInboundInterceptor(Handler<DeliveryContext<T>> interceptor) Add an interceptor that will be called whenever a message is received by Vert.x<T> EventBusEventBus.addOutboundInterceptor(Handler<DeliveryContext<T>> interceptor) Add an interceptor that will be called whenever a message is sent from Vert.x<T> MessageConsumer<T> EventBus.consumer(MessageConsumerOptions options, Handler<Message<T>> handler) Create a consumer and register it against the specified options address.<T> MessageConsumer<T> Create a consumer and register it against the specified address.MessageConsumer.endHandler(Handler<Void> endHandler) MessageConsumer.exceptionHandler(Handler<Throwable> handler) <T> MessageConsumer<T> EventBus.localConsumer(String address, Handler<Message<T>> handler) LikeEventBus.consumer(MessageConsumerOptions)but the address won't be propagated across the cluster.<T> EventBusEventBus.removeInboundInterceptor(Handler<DeliveryContext<T>> interceptor) Remove an interceptor that was added byEventBus.addInboundInterceptor(Handler)<T> EventBusEventBus.removeOutboundInterceptor(Handler<DeliveryContext<T>> interceptor) Remove an interceptor that was added byEventBus.addOutboundInterceptor(Handler) -
Uses of Handler in io.vertx.reactivex.core.file
Methods in io.vertx.reactivex.core.file with parameters of type HandlerModifier and TypeMethodDescriptionAsyncFile.drainHandler(Handler<Void> handler) AsyncFile.endHandler(Handler<Void> endHandler) AsyncFile.exceptionHandler(Handler<Throwable> handler) Set an exception handler on the read stream and on the write stream. -
Uses of Handler in io.vertx.reactivex.core.http
Methods in io.vertx.reactivex.core.http with parameters of type HandlerModifier and TypeMethodDescriptionClientWebSocket.binaryMessageHandler(Handler<Buffer> handler) WebSocket.binaryMessageHandler(Handler<Buffer> handler) WebSocketBase.binaryMessageHandler(Handler<Buffer> handler) Set a binary message handler on the connection.HttpServerResponse.bodyEndHandler(Handler<Void> handler) Provides a handler that will be called after the last part of the body is written to the wire.HttpClientResponse.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.HttpServerRequest.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.ClientWebSocket.closeHandler(Handler<Void> handler) HttpConnection.closeHandler(Handler<Void> handler) Set a close handler.HttpServerResponse.closeHandler(Handler<Void> handler) Set a close handler for the response, this is called when the underlying connection is closed and the response was still using the connection.ServerWebSocket.closeHandler(Handler<Void> handler) WebSocket.closeHandler(Handler<Void> handler) WebSocketBase.closeHandler(Handler<Void> handler) Set a close handler.HttpServer.connectionHandler(Handler<HttpConnection> handler) Set a connection handler for the server.HttpClientRequest.continueHandler(Handler<Void> handler) If you send an HTTP request with the headerExpectset to the value100-continueand the server responds with an interim HTTP response with a status code of100and a Continue handler has been set using this method, then thehandlerwill be called.HttpClientResponse.customFrameHandler(Handler<HttpFrame> handler) Set an custom frame handler.HttpServerRequest.customFrameHandler(Handler<HttpFrame> handler) Set a custom frame handler.ClientWebSocket.drainHandler(Handler<Void> handler) HttpClientRequest.drainHandler(Handler<Void> handler) HttpServerResponse.drainHandler(Handler<Void> handler) ServerWebSocket.drainHandler(Handler<Void> handler) WebSocket.drainHandler(Handler<Void> handler) WebSocketBase.drainHandler(Handler<Void> handler) HttpClientRequest.earlyHintsHandler(Handler<MultiMap> handler) If the server responds with an interim HTTP response with a status code of103and a Early Hints handler has been set using this method, then thehandlerwill be called.ClientWebSocket.endHandler(Handler<Void> endHandler) HttpClientResponse.endHandler(Handler<Void> endHandler) HttpServerFileUpload.endHandler(Handler<Void> endHandler) HttpServerRequest.endHandler(Handler<Void> endHandler) HttpServerResponse.endHandler(Handler<Void> handler) Set an end handler for the response.ServerWebSocket.endHandler(Handler<Void> endHandler) WebSocket.endHandler(Handler<Void> endHandler) WebSocketBase.endHandler(Handler<Void> endHandler) ClientWebSocket.exceptionHandler(Handler<Throwable> handler) HttpClientRequest.exceptionHandler(Handler<Throwable> handler) HttpClientResponse.exceptionHandler(Handler<Throwable> handler) HttpConnection.exceptionHandler(Handler<Throwable> handler) Set an handler called when a connection error happensHttpServer.exceptionHandler(Handler<Throwable> handler) Set an exception handler called for socket errors happening before the HTTP connection is established, e.g. during the TLS handshake.HttpServerFileUpload.exceptionHandler(Handler<Throwable> handler) HttpServerRequest.exceptionHandler(Handler<Throwable> handler) HttpServerResponse.exceptionHandler(Handler<Throwable> handler) ServerWebSocket.exceptionHandler(Handler<Throwable> handler) WebSocket.exceptionHandler(Handler<Throwable> handler) WebSocketBase.exceptionHandler(Handler<Throwable> handler) ClientWebSocket.frameHandler(Handler<WebSocketFrame> handler) ServerWebSocket.frameHandler(Handler<WebSocketFrame> handler) WebSocket.frameHandler(Handler<WebSocketFrame> handler) WebSocketBase.frameHandler(Handler<WebSocketFrame> handler) Set a frame handler on the connection.HttpConnection.goAwayHandler(Handler<GoAway> handler) Set an handler called when a frame is received.HttpServerResponse.headersEndHandler(Handler<Void> handler) Provide a handler that will be called just before the headers are written to the wire.HttpServer.invalidRequestHandler(Handler<HttpServerRequest> handler) Set ahandlerfor handling invalid requests.HttpConnection.pingHandler(Handler<Buffer> handler) Set an handler notified when a frame is received from the remote endpoint.ClientWebSocket.pongHandler(Handler<Buffer> handler) WebSocket.pongHandler(Handler<Buffer> handler) WebSocketBase.pongHandler(Handler<Buffer> handler) Set a pong frame handler on the connection.HttpClientRequest.pushHandler(Handler<HttpClientRequest> handler) Set a push handler for this request.HttpConnection.remoteSettingsHandler(Handler<HttpSettings> handler) Set an handler that is called when remote endpointHttpSettingsare updated.HttpServer.requestHandler(Handler<HttpServerRequest> handler) Set the request handler for the server torequestHandler.HttpConnection.shutdownHandler(Handler<Void> handler) Set ahandlernotified when the HTTP connection is shutdown: the client or server will close the connection within a certain amount of time.WebSocket.shutdownHandler(Handler<Void> handler) WebSocketBase.shutdownHandler(Handler<Void> handler) Set ahandlernotified when the WebSocket is shutdown: the client or server will close the connection within a certain amount of time.HttpClientResponse.streamPriorityHandler(Handler<StreamPriority> handler) Set an handler for stream priority changes.HttpServerRequest.streamPriorityHandler(Handler<StreamPriority> handler) Set an handler for stream priority changesClientWebSocket.textMessageHandler(Handler<String> handler) WebSocket.textMessageHandler(Handler<String> handler) WebSocketBase.textMessageHandler(Handler<String> handler) Set a text message handler on the connection.HttpServerRequest.uploadHandler(Handler<HttpServerFileUpload> uploadHandler) Set an upload handler.HttpServer.webSocketHandler(Handler<ServerWebSocket> handler) Set the WebSocket handler for the server towsHandler.HttpServer.webSocketHandshakeHandler(Handler<ServerWebSocketHandshake> handler) Set a handler for WebSocket handshake.HttpClientBuilder.withConnectHandler(Handler<HttpConnection> handler) Set a connection handler for the client.HttpServerBuilder.withConnectHandler(Handler<HttpConnection> handler) Set a connection handler for the server. -
Uses of Handler in io.vertx.reactivex.core.net
Methods in io.vertx.reactivex.core.net with parameters of type HandlerModifier and TypeMethodDescriptionNetSocket.closeHandler(Handler<Void> handler) Set ahandlernotified when the socket is closedQuicConnection.closeHandler(Handler<Void> handler) Set a handler called when the connection is closed.QuicStream.closeHandler(Handler<Void> handler) Set a handler called when the stream is closed.StreamChannel.closeHandler(Handler<Void> handler) Set ahandlernotified when the channel is closedNetServer.connectHandler(Handler<NetSocket> handler) Supply a connect handler for this server.QuicServer.connectHandler(Handler<QuicConnection> handler) Set the handler processingQuicConnection, the handler must be set before the server is bound.QuicConnection.datagramHandler(Handler<Buffer> handler) Set a handler called with the datagram addressed to this connection.NetSocket.drainHandler(Handler<Void> handler) QuicStream.drainHandler(Handler<Void> handler) StreamChannel.drainHandler(Handler<Void> handler) NetSocket.endHandler(Handler<Void> endHandler) This handler might be called after the close handler when the socket is paused and there are still buffers to deliver.QuicStream.endHandler(Handler<Void> endHandler) StreamChannel.endHandler(Handler<Void> endHandler) This handler might be called after the close handler when the channel is paused and there are still buffers to deliver.NetSocket.exceptionHandler(Handler<Throwable> handler) QuicServer.exceptionHandler(Handler<Throwable> handler) Set an exception handler called for socket errors happening before the QUIC connection is established, e.g. during the TLS handshake.QuicStream.exceptionHandler(Handler<Throwable> handler) Set an exception handling, catching stream exceptions.StreamChannel.exceptionHandler(Handler<Throwable> handler) Set the handler signaled with the data events the remote peer has sent.QuicStream.resetHandler(Handler<Long> handler) Set a handler called upon stream reset: when a stream receives a reset frame from its peer, this handler is called.NetSocket.shutdownHandler(Handler<Duration> handler) Set ahandlernotified when the socket is shutdown: the client or server will close the connection within a certain amount of time.QuicConnection.shutdownHandler(Handler<Duration> handler) Set ahandlernotified when the connection is shutdown: the client or server will close the connection within a certain amount of time.QuicStream.shutdownHandler(Handler<Duration> handler) Set a handler called when the stream is shutdown or closedQuicConnection.streamHandler(Handler<QuicStream> handler) Set a handler processing incoming Quic streams.QuicServer.streamHandler(Handler<QuicStream> handler) Set a handler processing incoming Quic streams, this is a short-cut ofserver.connectHandler(connection -> connection.streamHandler(stream)). -
Uses of Handler in io.vertx.reactivex.core.parsetools
Classes in io.vertx.reactivex.core.parsetools that implement HandlerModifier and TypeClassDescriptionclassA parser class which allows to incrementally parse json elements and emit json parse events instead of parsing a json element fully.classA helper class which allows you to easily parse protocols which are delimited by a sequence of bytes, or fixed size records.Methods in io.vertx.reactivex.core.parsetools with parameters of type HandlerModifier and TypeMethodDescriptionJsonParser.endHandler(Handler<Void> endHandler) RecordParser.endHandler(Handler<Void> endHandler) JsonParser.exceptionHandler(Handler<Throwable> handler) RecordParser.exceptionHandler(Handler<Throwable> handler) static RecordParserRecordParser.newDelimited(Buffer delim, Handler<Buffer> output) LikeRecordParser.newDelimited(String, Handler)but set theoutputthat will receive whole records which have been parsed.static RecordParserRecordParser.newDelimited(String delim, Handler<Buffer> output) LikeRecordParser.newDelimited(String, Handler)but set theoutputthat will receive whole records which have been parsed.static RecordParserLikeRecordParser.newFixed(int)but set theoutputthat will receive whole records which have been parsed.void -
Uses of Handler in io.vertx.reactivex.core.streams
Methods in io.vertx.reactivex.core.streams with parameters of type HandlerModifier and TypeMethodDescriptionWriteStream.drainHandler(Handler<Void> handler) Set a drain handler on the stream.ReadStream.endHandler(Handler<Void> endHandler) Set an end handler.ReadStream.exceptionHandler(Handler<Throwable> handler) Set an exception handler on the read stream.StreamBase.exceptionHandler(Handler<Throwable> handler) Set an exception handler.WriteStream.exceptionHandler(Handler<Throwable> handler) Set an exception handler on the write stream.Set a data handler. -
Uses of Handler in io.vertx.reactivex.db2client
Methods in io.vertx.reactivex.db2client with parameters of type HandlerModifier and TypeMethodDescriptionstatic SqlClientDB2Builder.client(Handler<ClientBuilder<SqlClient>> handler) Build a client backed by a connection pool with the specifiedblockargument.DB2Connection.closeHandler(Handler<Void> handler) DB2Connection.exceptionHandler(Handler<Throwable> handler) static PoolDB2Builder.pool(Handler<ClientBuilder<Pool>> block) Build a pool with the specifiedblockargument. -
Uses of Handler in io.vertx.reactivex.eventbus.bridge.grpc
Methods in io.vertx.reactivex.eventbus.bridge.grpc with parameters of type HandlerModifier and TypeMethodDescriptionGrpcEventBusBridgeBuilder.withEventHandler(Handler<BridgeEvent> eventHandler) Set a handler for bridge events that can be used to implement custom security logic. -
Uses of Handler in io.vertx.reactivex.ext.auth.audit
Methods in io.vertx.reactivex.ext.auth.audit that return HandlerModifier and TypeMethodDescription<T> Handler<AsyncResult<T>> SecurityAudit.auditHandlerFor(Marker marker) -
Uses of Handler in io.vertx.reactivex.ext.auth.oauth2
Methods in io.vertx.reactivex.ext.auth.oauth2 with parameters of type HandlerModifier and TypeMethodDescriptionOAuth2Auth.missingKeyHandler(Handler<String> handler) Handled to be called when a key (mentioned on a JWT) is missing from the current config. -
Uses of Handler in io.vertx.reactivex.ext.consul
Methods in io.vertx.reactivex.ext.consul with parameters of type HandlerModifier and TypeMethodDescriptionWatch.setHandler(Handler<WatchResult<T>> handler) Set the result handler. -
Uses of Handler in io.vertx.reactivex.ext.eventbus.bridge.tcp
Methods in io.vertx.reactivex.ext.eventbus.bridge.tcp with parameters of type HandlerModifier and TypeMethodDescriptionstatic TcpEventBusBridgeTcpEventBusBridge.create(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions, Handler<BridgeEvent> eventHandler) -
Uses of Handler in io.vertx.reactivex.ext.healthchecks
Methods in io.vertx.reactivex.ext.healthchecks with parameters of type HandlerModifier and TypeMethodDescriptionHealthChecks.invoke(Handler<JsonObject> resultHandler) Invokes the registered procedures and computes the outcome.Registers a health check procedure.Registers a health check procedure. -
Uses of Handler in io.vertx.reactivex.ext.stomp
Classes in io.vertx.reactivex.ext.stomp that implement HandlerModifier and TypeClassDescriptionclassSTOMP server handler implements the behavior of the STOMP server when a specific event occurs.Methods in io.vertx.reactivex.ext.stomp that return HandlerModifier and TypeMethodDescriptionStompServer.webSocketHandler()Gets the able to manage web socket connections.StompServer.webSocketHandshakeHandler()Gets the able to manage web socket connection handshakes.Methods in io.vertx.reactivex.ext.stomp with parameters of type HandlerModifier and TypeMethodDescriptionStompServerHandler.abortHandler(Handler<ServerFrame> handler) Configures the action to execute when aABORTframe is received.StompServerHandler.ackHandler(Handler<ServerFrame> handler) Configures the action to execute when aACKframe is received.StompServerHandler.beginHandler(Handler<ServerFrame> handler) Configures the action to execute when aBEGINframe is received.StompClientConnection.closeHandler(Handler<StompClientConnection> handler) Sets a handler notified when the STOMP connection is closed.StompServerHandler.closeHandler(Handler<StompServerConnection> handler) Configures the action to execute when a connection with the client is closed.StompServerHandler.commitHandler(Handler<ServerFrame> handler) Configures the action to execute when aCOMMITframe is received.voidStompServerConnection.configureHeartbeat(long ping, long pong, Handler<StompServerConnection> pingHandler) Configures the heartbeat.StompServerHandler.connectHandler(Handler<ServerFrame> handler) Configures the action to execute when aCONNECTframe is received.StompClientConnection.connectionDroppedHandler(Handler<StompClientConnection> handler) Sets a handler notified when the server does not respond to apingrequest in time.StompServerHandler.disconnectHandler(Handler<ServerFrame> handler) Configures the action to execute when aDISCONNECTframe is received.StompClient.errorFrameHandler(Handler<Frame> handler) A general error frame handler.StompClientConnection.errorHandler(Handler<Frame> handler) Sets a handler notified when anERRORframe is received by the client.StompClient.exceptionHandler(Handler<Throwable> handler) Sets an exception handler notified for TCP-level errors.StompClientConnection.exceptionHandler(Handler<Throwable> exceptionHandler) Configures the exception handler notified upon TCP-level errors.StompServerHandler.nackHandler(Handler<ServerFrame> handler) Configures the action to execute when aNACKframe is received.StompServerHandler.onAckHandler(Handler<Acknowledgement> handler) Configures the action to execute when messages are acknowledged.StompServerHandler.onNackHandler(Handler<Acknowledgement> handler) Configures the action to execute when messages are not acknowledged.StompClientConnection.pingHandler(Handler<StompClientConnection> handler) Sets a handler that let customize the behavior when a ping needs to be sent to the server.StompServerHandler.pingHandler(Handler<StompServerConnection> handler) Allows customizing the action to do when the server needs to send a `PING` to the client.StompClient.receivedFrameHandler(Handler<Frame> handler) Configures a received handler that gets notified when a STOMP frame is received by the client.StompClientConnection.receivedFrameHandler(Handler<Frame> handler) Configures a received handler that get notified when a STOMP frame is received by the client.StompServerHandler.receivedFrameHandler(Handler<ServerFrame> handler) Configures a handler that get notified when a STOMP frame is received by the server.StompClientConnection.rxSubscribe(String destination, Handler<Frame> handler) Subscribes to the given destination.StompClientConnection.rxSubscribe(String destination, Map<String, String> headers, Handler<Frame> handler) Subscribes to the given destination.StompServerHandler.sendHandler(Handler<ServerFrame> handler) Configures the action to execute when aSENDframe is received.StompServerHandler.stompHandler(Handler<ServerFrame> handler) Configures the action to execute when aSTOMPframe is received.Subscribes to the given destination.StompClientConnection.subscribe(String destination, Map<String, String> headers, Handler<Frame> handler) Subscribes to the given destination.StompServerHandler.subscribeHandler(Handler<ServerFrame> handler) Configures the action to execute when aSUBSCRIBEframe is received.StompServerHandler.unsubscribeHandler(Handler<ServerFrame> handler) Configures the action to execute when aUNSUBSCRIBEframe is received.StompClient.writingFrameHandler(Handler<Frame> handler) Configures a writing handler that gets notified when a STOMP frame is written on the wire.StompClientConnection.writingFrameHandler(Handler<Frame> handler) Configures a handler notified when a frame is going to be written on the wire.StompServer.writingFrameHandler(Handler<ServerFrame> handler) Configures the handler that is invoked every time a frame is going to be written to the "wire". -
Uses of Handler in io.vertx.reactivex.ext.unit
Methods in io.vertx.reactivex.ext.unit that return HandlerModifier and TypeMethodDescription<T> Handler<AsyncResult<T>> TestContext.asyncAssertFailure()Creates and returns a new async handler, the returned handler controls the completion of the test.<T> Handler<AsyncResult<T>> TestContext.asyncAssertFailure(Handler<Throwable> causeHandler) Creates and returns a new async handler, the returned handler controls the completion of the test.<T> Handler<AsyncResult<T>> TestContext.asyncAssertSuccess()Creates and returns a new async handler, the returned handler controls the completion of the test.<T> Handler<AsyncResult<T>> TestContext.asyncAssertSuccess(Handler<T> resultHandler) Creates and returns a new async handler, the returned handler controls the completion of the test.TestContext.exceptionHandler()Methods in io.vertx.reactivex.ext.unit with parameters of type HandlerModifier and TypeMethodDescriptionTestSuite.after(Handler<TestContext> callback) Set a callback executed after the tests.TestSuite.afterEach(Handler<TestContext> callback) Set a callback executed after each test and before the suiteaftercallback.<T> Handler<AsyncResult<T>> TestContext.asyncAssertFailure(Handler<Throwable> causeHandler) Creates and returns a new async handler, the returned handler controls the completion of the test.<T> Handler<AsyncResult<T>> TestContext.asyncAssertSuccess(Handler<T> resultHandler) Creates and returns a new async handler, the returned handler controls the completion of the test.TestSuite.before(Handler<TestContext> callback) Set a callback executed before the tests.TestSuite.beforeEach(Handler<TestContext> callback) Set a callback executed before each test and after the suitebeforecallback.static TestCaseTestCase.create(String name, Handler<TestContext> testCase) Create a test case.voidAsync.handler(Handler<AsyncResult<Void>> completionHandler) Completion handler to receive a completion signal when this completions completes.voidCompletion.handler(Handler<AsyncResult<T>> completionHandler) Completion handler to receive a completion signal when this completions completes.voidTestCompletion.handler(Handler<AsyncResult<Void>> completionHandler) Completion handler to receive a completion signal when this completions completes.TestSuite.test(String name, int repeat, Handler<TestContext> testCase) Add a new test case to the suite.TestSuite.test(String name, Handler<TestContext> testCase) Add a new test case to the suite.Execute the provided handler, which may contain assertions, possibly from any third-party assertion framework. -
Uses of Handler in io.vertx.reactivex.ext.unit.collect
Methods in io.vertx.reactivex.ext.unit.collect with parameters of type HandlerModifier and TypeMethodDescriptionstatic EventBusCollectorEventBusCollector.create(Vertx vertx, Handler<TestSuiteReport> reporter) -
Uses of Handler in io.vertx.reactivex.ext.unit.report
Methods in io.vertx.reactivex.ext.unit.report with parameters of type HandlerModifier and TypeMethodDescriptionTestCaseReport.endHandler(Handler<TestResult> handler) Set a callback for completion, the specifiedhandleris invoked when the test exec has completed.TestSuiteReport.endHandler(Handler<Void> endHandler) TestSuiteReport.exceptionHandler(Handler<Throwable> handler) Set an exception handler, the exception handler reports the test suite errors, it can be called mulitple times before the test ends.TestSuiteReport.handler(Handler<TestCaseReport> handler) -
Uses of Handler in io.vertx.reactivex.ext.web
Classes in io.vertx.reactivex.ext.web that implement HandlerModifier and TypeClassDescriptionclassA router receives request from anHttpServerand routes it to the first matchingRoutethat it contains.Methods in io.vertx.reactivex.ext.web with parameters of type HandlerModifier and TypeMethodDescriptionintRoutingContext.addBodyEndHandler(Handler<Void> handler) Provides a handler that will be called after the last part of the body is written to the wire.intRoutingContext.addEndHandler(Handler<AsyncResult<Void>> handler) Add an end handler for the request/response context.intRoutingContext.addHeadersEndHandler(Handler<Void> handler) Add a handler that will be called just before headers are written to the response.Route.blockingHandler(Handler<RoutingContext> requestHandler) LikeRoute.blockingHandler(Handler)called with ordered = trueRoute.blockingHandler(Handler<RoutingContext> requestHandler, boolean ordered) Specify a blocking request handler for the route.Router.errorHandler(int statusCode, Handler<RoutingContext> errorHandler) Specify an handler to handle an error for a particular status code.Route.failureHandler(Handler<RoutingContext> failureHandler) Append a failure handler to the route failure handlers list.Route.handler(Handler<RoutingContext> requestHandler) Append a request handler to the route handlers list.Router.modifiedHandler(Handler<Router> handler) When a Router routes are changed this handler is notified.Router.uncaughtErrorHandler(Handler<RoutingContext> errorHandler) Specify an handler to handle an error for any status code that doesn't have a specific handler assigned. -
Uses of Handler in io.vertx.reactivex.ext.web.codec
Methods in io.vertx.reactivex.ext.web.codec with parameters of type Handler -
Uses of Handler in io.vertx.reactivex.ext.web.handler
Subinterfaces of Handler in io.vertx.reactivex.ext.web.handlerModifier and TypeInterfaceDescriptioninterfaceBase interface for auth handlers.interfaceBase input trust interface for handlers that verify the trust of the request.interfaceBase platform interface for handlers that provide functionality to the application platform.interfaceBase interface for handlers that perform protocol upgrades.interfaceBase security policy interface for handlers that provide HTTP security related headers.Classes in io.vertx.reactivex.ext.web.handler that implement HandlerModifier and TypeClassDescriptionclassAn authentication handler that provides API Key support.classBase interface for authorization handlers that provide authorization support.classAn auth handler that provides HTTP Basic Authentication support.classA handler which gathers the entire request body and sets it on the .classAn auth handler that chains to a sequence of handlers.classA handler which implements server side http://www.w3.org/TR/cors/[CORS] support for Vert.x-Web.classContent Security Policy (CSP) is an added layer of security that helps to detect and mitigate certain types of attacks, including Cross Site Scripting (XSS) and data injection attacks.classThis handler adds a CSRF token to requests which mutate state.classAn auth handler that provides HTTP Basic Authentication support.classA pretty error handler for rendering error pages.classA handler that serves favicons.classHandler that handles login from a form on a custom login page.classHTTP Strict Transport Security (HSTS) RFC6797.classAn auth handler that provides JWT Authentication support.classA handler which logs request information to the Vert.x logger.classNOTE: This class has been automatically generated from theoriginalnon RX-ified interface using Vert.x codegen.classA handler which selectively executes another handler if a precondition is met.classAn auth handler that provides OAuth2 Authentication support.classAn auth handler that provides One Time Password (Multi-Factor) Authentication support.classAn auth handler that's used to handle auth by redirecting user to a custom login page.classA handler which sets the response content type automatically according to the bestAcceptheader match.classHandler which adds a header `x-response-time` in the response of matching requests containing the time taken in ms to process the request.classA handler that logs security audit events.classA handler that maintains aSessionfor each browser session.classA user customizable authentication handler.classA handler for serving static resources from the file system or classpath.classA handler which renders responses using a template engine and where the template name is selected from the URI path.classHandler that will timeout requests if the response has not been written after a certain time.classAn auth handler that provides FIDO2 WebAuthN Relay Party support.classThe X-Frame-Options HTTP response header can be used to indicate whether or not a browser should be allowed to render a page in a,,or.
[...]
